import * as _crossmint_client_sdk_base from '@crossmint/client-sdk-base';
import { BaseCrossmintService, APIErrorService, SDKLogger } from '@crossmint/client-sdk-base';

declare class CrossmintAuthService extends BaseCrossmintService {
    protected apiErrorService: APIErrorService<never>;
    protected logger: _crossmint_client_sdk_base.SDKLogger;
    getJWKSUri(): string;
    refreshAuthMaterial(refreshToken: string): Promise<{
        jwtToken: any;
        refreshToken: any;
        user: any;
    }>;
    getUserFromServer(externalUserId: string): Promise<any>;
    getUserFromClient(jwt: string): Promise<any>;
}

declare const authLogger: SDKLogger;

type FarcasterMetadata = {
    fid: string;
    username: string;
    bio: string;
    displayName: string;
    pfpUrl: string;
    custody: string;
    verifications: string[];
};
type SDKExternalUser = {
    id: string;
    email?: string;
    phoneNumber?: string;
    farcaster?: FarcasterMetadata;
};

declare function getJWTExpiration(token: string): number | undefined;

export { CrossmintAuthService, type FarcasterMetadata, type SDKExternalUser, authLogger, getJWTExpiration };
